module.exports = (sequelize, type) => {
    const TestLogs = sequelize.define('test_logs', {
        id: {
            type: type.INTEGER,
            primaryKey: true,
            autoIncrement: true
        },
        user_id: type.INTEGER,
        test_id: type.INTEGER,
        test_type: type.ENUM('CAT', 'PRACTICE', 'LIVE', 'KA'),
        action: type.ENUM('START', 'END', 'RESUME'),
        date_time: type.TEXT,
        status: {
            type: type.INTEGER,
            defaultValue: 0
        }
    })
    return TestLogs;
}